<?php
/**
 * Plugin Name: Wizart Home - interior design solutions
 * Description: This plugin allows quick embed Wizart Home app - assistant that can help you to choose finishing materials for any room in your house. Easy to use: just make a photo of your interior, choose any materials you like in the catalogue and apply them on the surfaces. Application will show you how new wallpapers and flooring will look like in your room and help you to make a final choice.
 * Author URI:  https://www.wizart.tech/
 * Author:      Wizart
 * Version:     1.0.8
 * Requires at least: 5.5
 * Requires PHP: 7.2
 *
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 *
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WIZART_PLUGIN_NAME_VERSION', '1.0.8' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-wizart.php';
require plugin_dir_path(__FILE__) . 'includes/class-wizart-cache.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function wizart_run_plugin() {
    $plugin = new Wizart_INIT();
    $plugin->wizart_run();
}
wizart_run_plugin();